Bug 322111 - Review Request: enet - Thin, simple and robust network layer on top of UDP
Review Request: enet - Thin, simple and robust network layer on top of UDP
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 322161
  Show dependency treegraph
 
Reported: 2007-10-07 09:38 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 08:17:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-10-07 09:38:20 EDT
Spec URL: http://people.atrpms.net/~hdegoede/enet.spec
SRPM URL: http://people.atrpms.net/~hdegoede/enet-1.1-1.fc8.src.rpm
Description:
ENet is a relatively thin, simple and robust network communication layer on
top of UDP (User Datagram Protocol). The primary feature it provides is
optional reliable, in-order delivery of packets.

ENet is NOT intended to be a general purpose high level networking library
that handles authentication, lobbying, server discovery, compression,
encryption and other high level, often application level or dependent tasks.
Comment 1 Dan Horák 2007-10-07 10:10:29 EDT
What about to add tutorial.txt and design.txt into the devel package?
Comment 2 Hans de Goede 2007-10-07 10:28:31 EDT
Good point, new version here:
Spec URL: http://people.atrpms.net/~hdegoede/enet.spec
SRPM URL: http://people.atrpms.net/~hdegoede/enet-1.1-2.fc8.src.rpm
Comment 3 Dan Horák 2007-10-07 11:30:58 EDT
Everything looks good, but I cannot access the upstream's website, so you have
to wait for the final word.
Comment 4 Dan Horák 2007-10-07 15:42:57 EDT
Review:

?OK	source files match upstream:

OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license (MIT).
OK	license is open source-compatible. License text included in package.
?OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (devel/i386).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane
OK	shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	scriptlets are present and they are correct.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	has installed headers in devel subpackage.
OK	no pkgconfig files.
OK	not a GUI app.

This package is APPROVED, but I will recheck the source when upstream web site
is working again.
Comment 5 Hans de Goede 2007-10-07 15:58:45 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      enet
Short Description: Thin, simple and robust network layer on top of UDP
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes

Comment 6 Dan Horák 2007-10-08 01:59:11 EDT
OK	source files match upstream:
c2e5a421ffbd35f58f60e730d678465a8c4a4b5b  enet-1.1.tar.gz
OK	latest version is being packaged
Comment 7 Kevin Fenzi 2007-10-08 14:25:01 EDT
cvs done.
Comment 8 Hans de Goede 2007-10-09 08:17:05 EDT
Imported and build, closing.

Note F-7 update pushing is waiting for enet tagging into F-7 buildroot so that
egoboo can be build and this can be pushed as an update bundle.

Note You need to log in before you can comment on or make changes to this bug.